%global enable_tests 1
%global srcname zip-stream

%global commit0 a960366cb949dc613996ee2da6ccdd7509a808d4
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global owner ctalkington

Name:           nodejs-%{srcname}
Version:        0.7.0
Release:        5%{?dist}
Summary:        A streaming zip archive generator
License:        MIT
URL:            https://github.com/ctalkington/node-zip-stream
Source0:        https://github.com/%{owner}/node-%{srcname}/archive/%{commit0}.tar.gz#/%{srcname}-%{shortcommit0}.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging
BuildRequires:  dos2unix

%if 0%{?enable_tests}
BuildRequires:  npm(readable-stream)
BuildRequires:  npm(chai)
BuildRequires:  npm(mocha)
BuildRequires:  npm(rimraf)
BuildRequires:  npm(mkdirp)
BuildRequires:  npm(compress-commons)
BuildRequires:  npm(lodash)
%endif


%description
zip-stream is a streaming zip archive generator based on the 
ZipArchiveOutputStream prototype found in the compress-commons project.


%prep
%setup -qn node-%{srcname}-%{commit0}
rm -rf node_modules/
dos2unix README.md LICENSE
%nodejs_fixdep readable-stream ^2.0
%nodejs_fixdep lodash ^3.10.1


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json lib/ %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
mocha --reporter dot
%endif


%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}


%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Dec 15 2015 Tom Hughes <tom@compton.nu> - 0.7.0-2
- Update npm(lodash) dependency

* Sat Nov 28 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.7.0-1
- update to upstream 0.7.0

* Fri Oct 23 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.6.0-1
- update to upstream 0.6.0

* Wed Jul 22 2015 Parag Nemade <pnemade AT fedoraproject DOT org> - 0.5.2-2
- fixdep npm(readable-stream)

* Sat Jul 18 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.5.2-1
- update to upstream 0.5.2

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Mar 14 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.5.1-2
- loosen version requirement on lodash

* Sun Mar  8 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.5.1-1
- update to upstream 0.5.1
- move LICENSE-MIT to %%license

* Mon Dec 22 2014 Piotr Popieluch <piotr1212@gmail.com> - 0.5.0-1
- Initial package
